% def_parm_c1;
% def_parm_c2;
% def_parm_c3;

metakappa = 10;

c1indexm_pot = 0;
c2indexm_pot = 0;
c3indexm_pot = 0;

c1indexp_pot = 0;
c2indexp_pot = 0;
c3indexp_pot = 0;

c1indexw_pot = 0;
c2indexw_pot = 0;
c3indexw_pot = 0;

c1gamdpc_pot = 2;
c2gamdpc_pot = 2;
c3gamdpc_pot = 2;

c1gamdpc = .5;
c2gamdpc = .5;
c3gamdpc = .5;

c1gamrs = .75;
c2gamrs = .75;
c3gamrs = .75;

c1gamdw = 0;
c2gamdw = 0;
c3gamdw = 0;

c1chi = 4;
c2chi = 4;
c3chi = 4;

c1indexp = .75;
c2indexp = .75;
c3indexp = .75;

c1indexw = .75;
c2indexw = .75;
c3indexw = .75;

c1indexm = .5;
c2indexm = .5;
c3indexm = .5;

c1psip = .9;
c2psip = .9;
c3psip = .9;

c1psiw = .875;
c2psiw = .875;
c3psiw = .875;

c1psim = .667;
c2psim = .667;
c3psim = .667;

c1cessub = -1;
c2cessub = -1;
c3cessub = -1;

c1gamdgdp = 0;
c2gamdgdp = 0;
c3gamdgdp = 0;
c1gamgdp = 0.25;
c2gamgdp = 0.25;
c3gamgdp = 0.25;

c1gamgdpgap = 0;
c2gamgdpgap = 0;
c3gamgdpgap = 0;

c1etac = -6;
c1etai = -6;

c2etac = -4;
c2etai = -4;

c3etac = -2;
c3etai = -2;



%----------------------------------------
% This tax rule violates the BK condition
%---------------------------------------
% c1phib0 = 1;%labor tax rate smoothing
% c1phib1 = 0.025*(1-c1phib0);
% c1phib2 = 0.05*(1-c1phib0);
% 
% c2phib0 = 1;%labor tax rate smoothing
% c2phib1 = 0.025*(1-c2phib0);
% c2phib2 = 0.05*(1-c2phib0);
% 
% c3phib0 = 1;%labor tax rate smoothing
% c3phib1 = 0.025*(1-c3phib0);
% c3phib2 = 0.05*(1-c3phib0);




% % Country sizes and bilateral trade parameters
% % add bilateral parameters
% % assume country one trades equally with other 2 countries
% % calibrate based on US, AFE, and ROW
% % Assume US and AFE have import shares of 12% (in country parameter files)
% % US imports 45% from AFE
% % AFE imports 25% from US.
% % US 28% of world, AFE 43% of world


% AFE calibration
% c1relsizew = 0.28;
% c2relsizew = 0.43;
% c3relsizew = 1-0.28-0.43;
% c1omegacc2 = 0.45*c1omegac;
% c1omegacc3 = (1-0.45)*c1omegac;
% c1omegaic2 = 0.45*c1omegai;
% c1omegaic3 = (1-0.45)*c1omegai;

% JAPAN
c1shrdebty= 0.5;    % US steady state stock of government debt
c2shrdebty= 1.0;    % JAPAN steady state stock of government debt 
c3shrdebty= 0.5;    % ROW steady state stock of government debt


% c1sigma = 0.6; % IEOS (picked it Japan to get balanced growth afterall)
% c2sigma = 0.6; % IEOS (picked it Japan to get balanced growth afterall)
% c3sigma = 0.6; % IEOS (picked it Japan to get balanced growth afterall)


c1relsizew = 0.28;
c2relsizew = 0.09;
c3relsizew = 1-c1relsizew-c2relsizew;


c2pibar = 1.0000; % Set steady state inflation at 0% annual
c2rho7p = 0.95;




        c2psip=0.95;
        c2psiw=0.95;
 
        c1etac = -0.000;
        c1etai = -0.000;
        c2etac = -0.000;
        c2etai = -0.000;
        c3etac = -0.000;
        c3etai = -0.000;
        c1pcc=0.00499;
        c2pcc=0.00249;
        c3pcc=0.00499;
        c2gamgdp=0.25;
        c2gamrs=0.75;
        c1phib0=0.5;
        c2phib0=0.5;
        c3phib0=0.5;
        c1phib1=0.1;
        c2phib1=0.1;
        c3phib1=0.1;
        c1phib2=0.1;
        c2phib2=0.1;
        c3phib2=0.1;
        
        c2beta=0.9975;
        
        c2rhoc2=0.05;
        
        c1rho3=0.9999;
        c2rho3=0.9999;
        c3rho3=0.9999;
        c2pibar=1;
        c2rho7p=0.95;
        
        c1psim = 0.01;
        c2psim = 0.90;
        c3psim = 0.01;
        

load ADDITIONAL_PARAM_FILE





%-----------------------------------------
% Input stops here
%-----------------------------------------
c1omegacc2 = 0.09*c1omegac;
c1omegacc3 = (1-0.91)*c1omegac;
c1omegaic2 = 0.09*c1omegai;
c1omegaic3 = (1-0.91)*c1omegai;

c2omegac = c1omegac;
c2omegai = c1omegai;

c1kappam_pot = metakappa;
c2kappam_pot = metakappa;
c3kappam_pot = metakappa;

c1kappap_pot = metakappa;
c2kappap_pot = metakappa;
c3kappap_pot = metakappa;

c1kappaw_pot = metakappa;
c2kappaw_pot = metakappa;
c3kappaw_pot = metakappa;




c1relsizec2 = c1relsizew/c2relsizew; 
c1relsizec3 = c1relsizew/c3relsizew;

c2relsizec1 = 1/c1relsizec2;
c3relsizec1 = 1/c1relsizec3;

c2relsizec3 = c2relsizec1/c3relsizec1;
c3relsizec2 = 1/c2relsizec3;

% assume country 2 trades same volume as country 1 overall

% trade is bilaterally balanced 
c2omegacc1 = c1omegacc2*c1relsizec2;
c2omegacc3 = c2omegac-c2omegacc1;

c2omegaic1 = c1omegaic2*c1relsizec2;
c2omegaic3 = c2omegai - c2omegaic1;

% same for country 3 as for country 2
c3omegacc1 = c1omegacc3*c1relsizec3;
c3omegacc2 = c2omegacc3*c2relsizec3;
c3omegac = c3omegacc1+c3omegacc2;

c3omegaic1 = c1omegaic3*c1relsizec3;
c3omegaic2 = c2omegaic3*c2relsizec3;
c3omegai = c3omegaic1+c3omegaic2;

def_parm_c1;
def_parm_c2;
def_parm_c3;
