meanlogw = -0.5*sig^2;
varlogw = sig^2;
grrbar = 1/beta;
grnrbar = pibar/beta;
omegabgg = .99;

%zhat = icdf('norm',defrate,0,1);
zhat = norminv(defrate,0,1);

wbar = exp(zhat*sig - 0.5*sig^2);

% zhat = (log(wbar) + 0.5*sig^2)/sig;
%gw = cdf('norm',zhat-sig,0,1);
gw = normcdf(zhat-sig,0,1);

%dgw = (1/sig)*pdf('norm',zhat,0,1);
dgw = (1/sig)*normpdf(zhat,0,1);

d2gw = -((log(wbar)+ 0.5*sig^2)/(wbar*sig^2))*dgw;

%gross and net share accruing to lenders
grosslend = wbar*(1-defrate) + gw;
dgrosslend = 1 - defrate;
%d2grosslend = -cdf('norm',zhat,0,1)*(1/(sig*wbar));
d2grosslend = -normcdf(zhat,0,1)*(1/(sig*wbar));

netlend = wbar*(1-defrate) + (1-mu)*gw;
lamw = (1-defrate)/(1- defrate - mu*dgw);
dlamw = mu*((1-defrate)*d2gw - dgw*d2grosslend)/(1-defrate - mu*dgw)^2;
vu = (dlamw/lamw)*(1-grosslend)/(1-defrate);

% share accruing to entrepeneur
grossent = 1- grosslend;

% capital to net worth ("rho")
shrkn = 1 + (netlend/grossent)*lamw;
shrrkr = (grossent/lamw +  netlend)^(-1);
grnrkbar = shrrkr*grnrbar;      % gross nominal return on capital
grrkbar = grnrkbar/pibar;        % gross real return on capital

prbar =  (grrkbar +  delta - 1 - tauk*deltatax/pibar)*(1/(1-tauk));  % rental cost of capital
shrky = (alpha/(1+thetap))*(1/prbar);
shriy = delta*shrky;
omegae = ((1-alpha)*(1-omegabgg)/(1+thetap));

shrwen =  omegae*shrkn/shrky;
% survival probability for entrepeneur
gamsurv = (1-shrwen)/((grrkbar*(1-mu*gw)-grrbar)*shrkn + grrbar);
spreadsens = vu/(shrkn + vu*(shrkn-1));


shrcey = ((1-gamsurv)/gamsurv)*shrent*((1/shrkn)*shrky - shrwen);
shrmony = mu*gw*shrrkr*grrbar*shrky;
dshrmony = mu*shrrkr*grrbar*shrky*dgw*grossent/(1-defrate);
shrcy = 1 - shrcey - shriy - shrmony;
shrcpy = shrcy - shrgy;


labshr = (1-alpha)/(1+thetap);   % labor share of output
% key parameter for fiscal policy 

shrtrk = shrlumpt;               % per capita transfers to HM agents as fraction of national per capita income
shrtrky = shrkpop*shrtrk;       % total transfers to HM agents as share of GDP

% steady state labor tax rate is taul -- determined by govt
% spending share, transfers, lump-sum tax rate,
%interest rate, and debt/gdp ratio               
taul = (shrgy + shrtrky + shrtroy - shrlumpt +  (grrbar-1)*shrdebty)*(1+thetap)/(1-alpha) - (alpha/(1-alpha))*(1-deltatax/prbar)*tauk;
shrykey = shrkpop*(1-taul)*labshr + shrkpop*shrtrk - shrkpop*shrlumpt;  %share of GDP consumed by HM agents
shrckey = shrykey/shrcy;  %share of total private consumption going to HM agents

markup   = 1 + thetap;
gammac   = (1/markup+etac)/(1+etac);
rhoc     = aggelast*(1+etac)*gammac/(1+aggelast*(1+etac));

epdc     = (1/(gammac-1))*(1/(1+etac));   % firm's perceived elasticity of demand for any consumption good i
aggepdc = (rhoc/(gammac-rhoc))*(1/(1+etac));  % aggregate demand elasticity for domestic consumption  
epmc     = epdc;
aggepmc = aggepdc;

empshrc = omegac;     
                             
etai   = etac;
gammai = gammac;
rhoi   = rhoc;

epdi     = (1/(gammai-1))*(1/(1+etai));   % firm's perceived elasticity of demand for any investment good i
aggepdi = (rhoi/(gammai-rhoi))*(1/(1+etai));  % aggregate demand elasticity for domestic investment  
epmi     = epdi;
aggepmi = aggepdi;

empshri = omegai;  

% implied trade shares

shrmcy = empshrc*shrcy;
shrmiy = empshri*shriy;
shrmy = shrmcy + shrmiy;
adcmi = adcmc;           %adjustment cost on imported investment




%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Composite slope params for
%the New Keynesian Phillips
%curve
%%%%%%%%%%%%%%%%%%%%%%%%%%%

kappap = 1/( 1-etac*(epdc/(1+epdc)) )*(1-psip)*(1-psip*beta)/psip;
kappaw = (1-psiw)*(1-psiw*beta)/(psiw*(1+chi*shrlab*(1+thetaw)/thetaw));


% needs to be country specific
kappam = 1/( 1-etac*(epmc/(1+epmc)) ) *(1-psim)*(1-psim*beta)/psim;

